org.jbpm.services.task.commands

## Class CompositeCommand<T>

- java.lang.Object
- - org.jbpm.services.task.commands.TaskCommand<T>
  - - org.jbpm.services.task.commands.CompositeCommand<T>

- All Implemented Interfaces:
    Serializable, org.drools.core.command.impl.ExecutableCommand<T>, org.kie.api.command.Command<T>

      public class CompositeCommand<T>
      extends TaskCommand<T>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.jbpm.services.task.commands.TaskCommand

      `groupIds, targetEntityId, taskId, userId`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeCommand()`
    `CompositeCommand(TaskCommand<T> mainCommand, TaskCommand<?>... commands)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `T` | `execute(org.kie.api.runtime.Context context)`
    `List<TaskCommand<?>>` | `getCommands()`
    `TaskCommand<T>` | `getMainCommand()`
    `Long` | `getTaskId()`
    `void` | `setCommands(List<TaskCommand<?>> commands)`
    `void` | `setMainCommand(TaskCommand<T> mainCommand)`

    - ### Methods inherited from class org.jbpm.services.task.commands.TaskCommand

      `getGroupsIds, getTargetEntityId, getUserId, setGroupsIds, setTargetEntityId, setTaskId, setUserId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.drools.core.command.impl.ExecutableCommand

      `canRunInTransaction`

- - ### Constructor Detail

    - #### CompositeCommand

          public CompositeCommand()

    - #### CompositeCommand

          public CompositeCommand(TaskCommand<T> mainCommand,
                                  TaskCommand<?>... commands)

  - ### Method Detail

    - #### execute

          public T execute(org.kie.api.runtime.Context context)

    - #### getMainCommand

          public TaskCommand<T> getMainCommand()

    - #### setMainCommand

          public void setMainCommand(TaskCommand<T> mainCommand)

    - #### getCommands

          public List<TaskCommand<?>> getCommands()

    - #### setCommands

          public void setCommands(List<TaskCommand<?>> commands)

    - #### getTaskId

          public Long getTaskId()

      Overrides:
        `getTaskId` in class `TaskCommand<T>`

Copyright © 2001–2018 JBoss by Red Hat. All rights reserved.